org.eclipse.actf.model.flash.as

## Class ASObject

- java.lang.Object
- - org.eclipse.actf.model.flash.as.ASObject

    public class ASObject
    extends Object

A wrapper class for ActionScript `Object` class. ActionScript `Object` instance is a map from `String` (called key) to `Object` (called value), which is written as a literal like `{id:123, mes:'Hello'}`. The value for a given key is obtained by `get(java.lang.String)` method. For the example above, `get("id")==123` and `get("mes")=="Hello"` holds. ASObject instance cannot be created by its constructor. The instance is internally created by `ASDeserializer.deserialize()` method.

See Also:
  `ASDeserializer`

### Method Summary

Methods
`Object` `get(String prop)` Gets the value for a given key.
`Set<String>` `getKeys()` Gets the set of keys of the instance.
`String` `toString()` Gets the ActionScript style `String` representation of the instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### get

    public Object get(String prop)

Gets the value for a given key.

Parameters:
  `prop` - Name of a key to get value.
Returns:
  The value for the given key.

#### getKeys

    public Set<String> getKeys()

Gets the set of keys of the instance.

Returns:
  The `Set` of the keys.

#### toString

    public String toString()

Gets the ActionScript style `String` representation of the instance.

Overrides:
  `toString` in class `Object`
Returns:
  The string for the instance in ActionScript literal style such as `{id:123,mes:'Hello',}`. Note that a comma appears after the last key-value pair.